# Retrieve predictive scording model by ID

Retrieve a predictive scording model by ID.

Endpoint: GET /entities/predictive_segments/{id}
Version: 1.0.0

## Path parameters:

  - `id` (integer, required)
    Predictive Segment ID

## Response 200 fields (application/vnd.treasuredata.v1+json):

  - `data` (object, required)

  - `data.audienceId` (string)

  - `data.baseSegmentId` (string,null)

  - `data.segmentId` (string)

  - `data.scoredSegmentId` (string,null)

  - `data.name` (string)

  - `data.description` (string,null)

  - `data.categoricalAsColumnNames` (array)

  - `data.categoricalArrayAsColumnNames` (array)

  - `data.quantitativeAsColumnNames` (array)

  - `data.accuracy` (number,null)
    Accuracy for trained model evaluated on initial training.

  - `data.areaUnderRocCurve` (number,null)
    Evaluation score for the model. See also https://en.wikipedia.org/wiki/Receiver_operating_characteristic#Area_under_the_curve

  - `data.gradeThresholds` (array)
    Given the items [a, b, c], they must meet the condition a >= b >= c
    Example: [75,50,25]

  - `data.createdAt` (string)

  - `data.updatedAt` (string)

  - `data.modelUpdatedAt` (string)

  - `included` (array, required)

  - `included.id` (string, required)

  - `included.type` (string, required)
    Enum: "user"

  - `included.attributes` (object, required)

  - `included.attributes.tdUserId` (string, required)

  - `included.attributes.name` (string, required)


